| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Private Attributes | List of all members
Gaudi.Main.BootstrapHelper.AppMgr Class Reference
Inheritance diagram for Gaudi.Main.BootstrapHelper.AppMgr:
[legend]
Collaboration diagram for Gaudi.Main.BootstrapHelper.AppMgr:
[legend]

## Public Member Functions
def | __init__ (self, ptr, lib)
def | configure (self)
def | initialize (self)
def | start (self)
def | run (self, nevt)
def | stop (self)
def | finalize (self)
def | terminate (self)
def | getService (self, name)
def | setProperty (self, name, value)
def | getProperty (self, name)
def | printAlgsSequences (self)

## Public Attributes
| ptr
| lib

## Private Attributes
| _as_parameter_

## Detailed Description

Definition at line 38 of file Main.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def Gaudi.Main.BootstrapHelper.AppMgr.__init__ | ( |  | self,
|  |  | ptr,
|  |  | lib
| ) |  |

Definition at line 39 of file Main.py.

39 def __init__(self, ptr, lib):
40 self.ptr = ptr
41 self.lib = lib
42 self._as_parameter_ = ptr
43

## Member Function Documentation

## ◆ configure()

def Gaudi.Main.BootstrapHelper.AppMgr.configure | ( |  | self | ) |

Definition at line 44 of file Main.py.

44 def configure(self):
45 return BootstrapHelper.StatusCode(
46 self.lib.py_bootstrap_fsm_configure(self.ptr))
47

## ◆ finalize()

def Gaudi.Main.BootstrapHelper.AppMgr.finalize | ( |  | self | ) |

Definition at line 64 of file Main.py.

64 def finalize(self):
65 return BootstrapHelper.StatusCode(
66 self.lib.py_bootstrap_fsm_finalize(self.ptr))
67

## ◆ getProperty()

def Gaudi.Main.BootstrapHelper.AppMgr.getProperty | ( |  | self,
|  |  | name
| ) |  |

Definition at line 79 of file Main.py.

79 def getProperty(self, name):
80 return BootstrapHelper.Property(
81 self.lib.py_bootstrap_getProperty(self.ptr, name))
82
getProperty
const char *PyHelper() getProperty(IInterface *p, char *name)
Definition: Bootstrap.cpp:237

## ◆ getService()

def Gaudi.Main.BootstrapHelper.AppMgr.getService | ( |  | self,
|  |  | name
| ) |  |

Definition at line 72 of file Main.py.

72 def getService(self, name):
73 return self.lib.py_bootstrap_getService(self.ptr, name)
74
getService
IInterface *PyHelper() getService(IInterface *app, char *name)
Definition: Bootstrap.cpp:229

## ◆ initialize()

def Gaudi.Main.BootstrapHelper.AppMgr.initialize | ( |  | self | ) |

Definition at line 48 of file Main.py.

48 def initialize(self):
49 return BootstrapHelper.StatusCode(
50 self.lib.py_bootstrap_fsm_initialize(self.ptr))
51

## ◆ printAlgsSequences()

def Gaudi.Main.BootstrapHelper.AppMgr.printAlgsSequences | ( |  | self | ) |

Definition at line 83 of file Main.py.

83 def printAlgsSequences(self):
84 return self.lib.py_helper_printAlgsSequences(self.ptr)
85
86 def __init__(self):
py_helper_printAlgsSequences
void py_helper_printAlgsSequences(IInterface *app)
Helper to call printAlgsSequences from Pyhton ctypes.
Definition: PrintAlgsSequences.cpp:47

## ◆ run()

def Gaudi.Main.BootstrapHelper.AppMgr.run | ( |  | self,
|  |  | nevt
| ) |  |

Definition at line 56 of file Main.py.

56 def run(self, nevt):
57 return BootstrapHelper.StatusCode(
58 self.lib.py_bootstrap_app_run(self.ptr, nevt))
59

## ◆ setProperty()

def Gaudi.Main.BootstrapHelper.AppMgr.setProperty | ( |  | self,
|  |  | name,
|  |  | value
| ) |  |

Definition at line 75 of file Main.py.

75 def setProperty(self, name, value):
76 return BootstrapHelper.StatusCode(
77 self.lib.py_bootstrap_setProperty(self.ptr, name, value))
78
setProperty
bool PyHelper() setProperty(IInterface *p, char *name, char *value)
Definition: Bootstrap.cpp:233

## ◆ start()

def Gaudi.Main.BootstrapHelper.AppMgr.start | ( |  | self | ) |

Definition at line 52 of file Main.py.

52 def start(self):
53 return BootstrapHelper.StatusCode(
54 self.lib.py_bootstrap_fsm_start(self.ptr))
55
IOTest.start
def start
Definition: IOTest.py:97

## ◆ stop()

def Gaudi.Main.BootstrapHelper.AppMgr.stop | ( |  | self | ) |

Definition at line 60 of file Main.py.

60 def stop(self):
61 return BootstrapHelper.StatusCode(
62 self.lib.py_bootstrap_fsm_stop(self.ptr))
63

## ◆ terminate()

def Gaudi.Main.BootstrapHelper.AppMgr.terminate | ( |  | self | ) |

Definition at line 68 of file Main.py.

68 def terminate(self):
69 return BootstrapHelper.StatusCode(
70 self.lib.py_bootstrap_fsm_terminate(self.ptr))
71

## Member Data Documentation

## ◆ _as_parameter_

Gaudi.Main.BootstrapHelper.AppMgr._as_parameter_
| private

Definition at line 42 of file Main.py.

## ◆ lib

Gaudi.Main.BootstrapHelper.AppMgr.lib

Definition at line 41 of file Main.py.

## ◆ ptr

Gaudi.Main.BootstrapHelper.AppMgr.ptr

Definition at line 40 of file Main.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/Main.py